/* 
 * Copyright 1990 Karl Lehenbauer, Mark Diekhans, 
 *                Peter da Silva and Jordan Henderson.
 *
 * Permission to use, copy, modify, and distribute this
 * software and its documentation for any purpose and without
 * fee is hereby granted, provided that the above copyright
 * notice appear in all copies.  Karl Lehenbauer, Mark Diekhans,
 * Peter da Silva and Jordan Henderson make no representations
 * about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 */

/* define the dup2 function for systems that don't have it */

#ifndef NOSCCSID
	static char *sccs_id = "@(#) dup2.c 1.1 10/1/90";
#endif

#include <sys/types.h>

#ifdef XENIX
#  include <fcntl.h>
   extern int errno;
#else
#  include <sys/fcntl.h>
#endif

int dup2(fd,newfd) 
  int fd;
  int newfd;
  {
	close(newfd);
	errno = 0;
	return(fcntl(fd, F_DUPFD, newfd));
  }
