
#==============================================================================
#
# Portable makefile for TCL baseline sources.
# This section of this Makefile is extracted from Makefile.t by Configure.
#
# @(#) Makefile.t 2.3 10/2/90
#
#------------------------------------------------------------------------------

SHELL=/bin/sh

# This is for CFLAGS defined only in this Makefile

OBJS = \
     argv.o         ckalloc.o      tclArray.o     tclAssem.o     tclBasic.o \
     tclCmdAH.o     tclCmdExt.o    tclCmdIZ.o     tclExpr.o      tclGlob.o  \
     tclHistory.o   tclProc.o      tclUtil.o      tclUtil2.o

BASEDIR= ../..

all: ${BASEDIR}/tcl.a

${BASEDIR}/tcl.a: ${BASEDIR}/tcl.h $(OBJS)
	ar cru ${BASEDIR}/tcl.a $(OBJS)
	$(RANLIB) ${BASEDIR}/tcl.a

${BASEDIR}/tcl.h: tcl.h
	cp tcl.h ${BASEDIR}/tcl.h

clean:
	/bin/rm -f $(OBJS) 

realclean: clean
	/bin/rm -f Makefile

