/*
 * Error code table for BSD systems.
 */

struct {
        int   errNum;
        char *errCode;
    } ErrorCodeTab [] = {
   EPERM,              "EPERM",
   ENOENT,             "ENOENT",
   ESRCH,              "ESRCH",
   EINTR,              "EINTR",
   EIO,                "EIO",
   ENXIO,              "ENXIO",
   E2BIG,              "E2BIG",
   ENOEXEC,            "ENOEXEC",
   EBADF,              "EBADF",
   ECHILD,             "ECHILD",
   EAGAIN,             "EAGAIN",
   ENOMEM,             "ENOMEM",
   EACCES,             "EACCES",
   EFAULT,             "EFAULT",
   ENOTBLK,            "ENOTBLK",
   EBUSY,              "EBUSY",
   EEXIST,             "EEXIST",
   EXDEV,              "EXDEV",
   ENODEV,             "ENODEV",
   ENOTDIR,            "ENOTDIR",
   EISDIR,             "EISDIR",
   EINVAL,             "EINVAL",
   ENFILE,             "ENFILE",
   EMFILE,             "EMFILE",
   ENOTTY,             "ENOTTY",
   ETXTBSY,            "ETXTBSY",
   EFBIG,              "EFBIG",
   ENOSPC,             "ENOSPC",
   ESPIPE,             "ESPIPE",
   EROFS,              "EROFS",
   EMLINK,             "EMLINK",
   EPIPE,              "EPIPE",
   EDOM,               "EDOM",
   ERANGE,             "ERANGE",
   EWOULDBLOCK,        "EWOULDBLOCK",
   EDEADLK,            "EDEADLK",
   EINPROGRESS,        "EINPROGRESS",
   EALREADY,           "EALREADY",
   ENOTSOCK,           "ENOTSOCK",
   EDESTADDRREQ,       "EDESTADDRREQ",
   EMSGSIZE,           "EMSGSIZE",
   EPROTOTYPE,         "EPROTOTYPE",
   ENOPROTOOPT,        "ENOPROTOOPT",
   EPROTONOSUPPORT,    "EPROTONOSUPPORT",
   ESOCKTNOSUPPORT,    "ESOCKTNOSUPPORT",
   EOPNOTSUPP,         "EOPNOTSUPP",
   EPFNOSUPPORT,       "EPFNOSUPPORT",
   EAFNOSUPPORT,       "EAFNOSUPPORT",
   EADDRINUSE,         "EADDRINUSE",
   EADDRNOTAVAIL,      "EADDRNOTAVAIL",
   ENETDOWN,           "ENETDOWN",
   ENETUNREACH,        "ENETUNREACH",
   ENETRESET,          "ENETRESET",
   ECONNABORTED,       "ECONNABORTED",
   ECONNRESET,         "ECONNRESET",
   ENOBUFS,            "ENOBUFS",
   EISCONN,            "EISCONN",
   ENOTCONN,           "ENOTCONN",
   ESHUTDOWN,          "ESHUTDOWN",
   ETOOMANYREFS,       "ETOOMANYREFS",
   ETIMEDOUT,          "ETIMEDOUT",
   ECONNREFUSED,       "ECONNREFUSED",
   ELOOP,              "ELOOP",
   ENAMETOOLONG,       "ENAMETOOLONG",
   EHOSTDOWN,          "EHOSTDOWN",
   EHOSTUNREACH,       "EHOSTUNREACH",
   ENOTEMPTY,          "ENOTEMPTY",
   EPROCLIM,           "EPROCLIM",
   EUSERS,             "EUSERS",
   EDQUOT,             "EDQUOT",
    -1,                "UnknownError"};
