/*
 * Error code table for Xenix 286 and 386.
 */

struct {
        int   errNum;
        char *errCode;
    } ErrorCodeTab [] = {
    EPERM,             "EPERM",
    ENOENT,            "ENOENT",
    ESRCH,             "ESRCH",
    EINTR,             "EINTR",
    EIO,               "EIO",
    ENXIO,             "ENXIO",
    E2BIG,             "E2BIG",
    ENOEXEC,           "ENOEXEC",
    EBADF,             "EBADF",
    ECHILD,            "ECHILD",
    EAGAIN,            "EAGAIN",
    ENOMEM,            "ENOMEM",
    EACCES,            "EACCES",
    EFAULT,            "EFAULT",
    ENOTBLK,           "ENOTBLK",
    EBUSY,             "EBUSY",
    EEXIST,            "EEXIST",
    EXDEV,             "EXDEV",
    ENODEV,            "ENODEV",
    ENOTDIR,           "ENOTDIR",
    EISDIR,            "EISDIR",
    EINVAL,            "EINVAL",
    ENFILE,            "ENFILE",
    EMFILE,            "EMFILE",
    ENOTTY,            "ENOTTY",
    ETXTBSY,           "ETXTBSY",
    EFBIG,             "EFBIG",
    ENOSPC,            "ENOSPC",
    ESPIPE,            "ESPIPE",
    EROFS,             "EROFS",
    EMLINK,            "EMLINK",
    EPIPE,             "EPIPE",
    EDOM,              "EDOM",
    ERANGE,            "ERANGE",
    EDEADLOCK,         "EDEADLOCK",
    EUCLEAN,           "EUCLEAN",
    ENOTNAM,           "ENOTNAM",
    ENAVAIL,           "ENAVAIL",
    EISNAM,            "EISNAM",
    -1,                "UnknownError"};
