/* This file taken from Chip Rosenthal's "deliver" program. */

#include <stdio.h>
#include "../../tcl.h"

char *strchr ();
extern char **environ;
/*----------------------------------------------------------------------
 * Add a new environment variable.
 */

int
putenv(s)
char *s;
{
	static  char    **env_array = NULL;
	static  int     env_size;
	char    *e;
	int     i, j;

	if (env_array == NULL)
	{
		for (i = 0; environ[i]; ++i)
			{}
		env_size = i + 10;      /* arbitrary */
		env_array = (char **) ckalloc(env_size * sizeof(char *));
		memcpy ((char *)env_array, (char *)environ,
		        (int) ((i + 1) * sizeof(char *)));
		environ = env_array;
	}
	else if (environ != env_array)
		panic ("putenv: warning: someone moved environ!");

	if ((e = strchr(s, '=')) != NULL)
		++e;
	else
		e = s + strlen(s);

	j = 0;
	for (i = 0; env_array[i]; ++i)
	{
		if (strncmp(env_array[i], s, e - s) != 0)
			env_array[j++] = env_array[i];
	}

	if ((j + 1) >= env_size)
	{
		env_size += 10;                 /* arbitrary */
		ckfree(env_array);
		env_array = (char **) ckalloc(env_size * sizeof(char **));
	}

	env_array[j++] = s;
	env_array[j] = NULL;

	environ = env_array;
	return 0;
}
