#
# add object-oriented capabilities to tcl
#

proc class {name sup args} {
	foreach fun [concat [info procs] [info commands]] {
		if {[string match *_$sup $fun]} {
			scan $fun "%[^_]_" verb
			proc [set verb]_$name {args} \
				[concat uplevel 1 [set verb]_$sup \$args]
		}
	}
	foreach verb $args {
		proc $verb {class args} \
			[format {uplevel 1 [concat %s_$class $args]} $verb]
	}
}

class object {} 

source stackclass.tcl
source queueclass.tcl
